package gov.fnal.eag.sim.catalog;

/**
 * handle situations where the integral in a WavelengthBin can not be calculated
 * @author stoughto
 * @version $Name:  $ ($Id: IntegralNotDefinedException.java,v 1.1 2006/04/27 20:22:02 neilsen Exp $)
 * 
 */
public class IntegralNotDefinedException extends Exception {

	/**
	 * serialVerionUID generate by Eclipse
	 */
	private static final long serialVersionUID = -4379218101030564241L;

	/**
	 * no information given
	 */
	public IntegralNotDefinedException() {
		super();
	}

	/**
	 * @param message a brief explanation of what went wrong
	 */
	public IntegralNotDefinedException(String message) {
		super(message);
	}

	/**
	 * @param message a brief explanation of what went wrong
	 * @param cause why it went wrong
	 */
	public IntegralNotDefinedException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param cause why it went wrong
	 */
	public IntegralNotDefinedException(Throwable cause) {
		super(cause);
	}

}
