package gov.fnal.eag.sim.catalog;
/**
 * bandpass where the luminosity function is defined in table 2 of the Zucca paper.
 * @author stoughto
 *
 */
public enum ZuccaBandpass {
	/**
	 * U band
	 */
	U,
	/**
	 * B band
	 */
	B,
	/**
	 * V band
	 */
	V,
	/**
	 * R band
	 */
	R,
	/**
	 * I band
	 */
	I;	
}
