package gov.fnal.eag.sim.crt;

import flanagan.complex.Complex;


/**
 * keeps track of the complex gain vs. omega for a receiver
 * @author stoughto
 *
 */
public interface Gain {
	/**
	 * @param nu in Hz
	 * @return the gain for the frequency
	 */
	public Complex gain(double nu);
}
