package gov.fnal.eag.sim.crt;

import gov.fnal.eag.wcs.SphericalCoordinate;

/**
 * describes a component of the sky
 * @author stoughto
 *
 */
public interface SkyTemperature {
	/**
	 * @param sc location in ra,dec
	 * @param frequency frequency
	 * @return the temperature at the location and frequency
	 */
	public double getT(SphericalCoordinate sc, double frequency);
}
