package gov.fnal.eag.sim.crt;

import gov.fnal.eag.wcs.SphericalCoordinate;

/**
 * describes foreground as a power law
 * @author stoughto
 *
 */
public class SkyTemperatureConstant implements SkyTemperature {

	private double t0;
	/**
	 * @param t0 the constant temperature, in degrees K
	 */
	public SkyTemperatureConstant(double t0) {
		this.t0 = t0;
	}
	/**
	 * @see gov.fnal.eag.sim.crt.SkyTemperature#getT(gov.fnal.eag.wcs.SphericalCoordinate, double)
	 * return the cnt onstatemperature
	 */
	
	public double getT(SphericalCoordinate sc, double nu) {
		double t = t0;
		return t;
	}

}
