package gov.fnal.eag.sim.pixel.wavelet;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author mcginnis
 *
 */
class ArcSearchGuiActions implements ActionListener 
{
	ArcSearchGui arcSearchGui = null;
	String actionString = null;
	ArcSearchGuiActions(ArcSearchGui arcSearchGui, String actionString)
	{
		this.arcSearchGui = arcSearchGui;
		this.actionString = actionString;
	}
	
	public void actionPerformed(ActionEvent arg0) 
	{
		System.out.println(actionString);
		if (actionString.equals("File.New Color Batch"))
			arcSearchGui.onFileCreateBatchFile(true);
		if (actionString.equals("File.New Grey Batch"))
			arcSearchGui.onFileCreateBatchFile(false);
		if (actionString.equals("File.Exit"))
			System.exit(0);
		if (actionString.equals("Run.Color Batch File"))
			arcSearchGui.onRunBatchFile(true);
		if (actionString.equals("Run.Grey Batch File"))
			arcSearchGui.onRunBatchFile(false);
		if (actionString.equals("Run.Single Wavelet Filter"))
			arcSearchGui.onRunSingleWaveletFile();
		if ("Hard Edge on".equals(actionString))
			arcSearchGui.waveletSettings.setHardEdge(true);
		if ("Hard Edge off".equals(actionString))
			arcSearchGui.waveletSettings.setHardEdge(false);
		if ("Batch Crop".equals(actionString))
			arcSearchGui.batchCrop = !arcSearchGui.batchCrop;
		if ("Batch Normalize".equals(actionString))
			arcSearchGui.batchNormalize = !arcSearchGui.batchNormalize;
		if ("Batch Filter".equals(actionString))
			arcSearchGui.batchFilter = !arcSearchGui.batchFilter;
		if ("Batch Write PNG Images".equals(actionString))
			arcSearchGui.batchWritePngImages = !arcSearchGui.batchWritePngImages;
		if ("Batch Write Fits Files".equals(actionString))
			arcSearchGui.batchWriteFitsFiles = !arcSearchGui.batchWriteFitsFiles;
		if ("Batch Arc Search".equals(actionString))
			arcSearchGui.batchArcSearch = !arcSearchGui.batchArcSearch;
		if ("Grey Linear".equals(actionString))
			arcSearchGui.bwRGBplotter.setScaleType("linear");
		if ("Grey Log".equals(actionString))
			arcSearchGui.bwRGBplotter.setScaleType("log");
		if ("Grey Hist Eq".equals(actionString))
			arcSearchGui.bwRGBplotter.setScaleType("hist");
		if ("Grey Invert Image".equals(actionString))
			arcSearchGui.bwRGBplotter.setInvertImage(!arcSearchGui.bwRGBplotter.getInvertImage());
		if ("Grey Auto Scale".equals(actionString))
			arcSearchGui.bwRGBplotter.setAutoScale(!arcSearchGui.bwRGBplotter.getAutoScale());
		if ("Grey Color Spectrum".equals(actionString))
			arcSearchGui.bwRGBplotter.setColorSpectrum(!arcSearchGui.bwRGBplotter.getColorSpectrum());
		if ("Color Linear".equals(actionString))
			arcSearchGui.clrRGBplotter.setScaleType("linear");
		if ("Color Log".equals(actionString))
			arcSearchGui.clrRGBplotter.setScaleType("log");
		if ("Color Hist Eq".equals(actionString))
			arcSearchGui.clrRGBplotter.setScaleType("hist");
		if ("Color Invert Image".equals(actionString))
			arcSearchGui.clrRGBplotter.setInvertImage(!arcSearchGui.bwRGBplotter.getInvertImage());
		if ("Color Auto Scale".equals(actionString))
			arcSearchGui.clrRGBplotter.setAutoScale(!arcSearchGui.clrRGBplotter.getAutoScale());
		if ("Color Color Spectrum".equals(actionString))
			arcSearchGui.clrRGBplotter.setColorSpectrum(!arcSearchGui.clrRGBplotter.getColorSpectrum());
		
	}

}
