package gov.fnal.eag.sim.random;

import gov.fnal.eag.wcs.SphericalCoordinate;

/**
 * generates iSeed values for a variety of objects
 * @author stoughto
 *
 */
public class IseedGenerator {

	/**
	 * @param sc
	 * @return a hash code for this position
	 */
	public static int get(SphericalCoordinate sc) {
		double x = sc.getX();
		double y = sc.getY();
		double z = sc.getZ();
		Double combined = new Double(x+y+z);
		int hashCode = Math.abs(combined.hashCode());
		return hashCode;
	}

}
