package gov.fnal.eag.util.astronomy;

/**
 * Objects of subclasses of this abstract class are passable functions
 */
public abstract class Simple2dFunction {
	/**
	 * returns the value of the function
	 * @param x input value
	 * @param y input value
	 * @return calculated value
	 */
	public abstract double f(double x, double y);
	
}


