package gov.fnal.eag.util.minuitDemo;

import org.freehep.math.minuit.FCNGradientBase;

/**
 * demonstrated implementing FCNGradientBase
 * @version $Id
 */
public class Quad1F implements FCNGradientBase {   
	/**
	 * @see org.freehep.math.minuit.FCNBase#valueOf(double[])
	 */
	public double valueOf(double[] par) {
		double x = par[0];
		double retval=x*x;
		//System.out.println(" x="+x+" retval="+retval);
		return retval;
	}
	/**
	 * @see org.freehep.math.minuit.FCNGradientBase#gradient(double[])
	 */
	public double[] gradient(double[] par) {
		double x = par[0];
		return new double[]{ 2*x };
	}
}
