package gov.fnal.eag.util.misc;

import java.io.IOException;
import java.io.InputStream;

/**
 * an input stream that always throws IOException on read()
 * @author stoughto
 */
public class InputStreamIOException extends InputStream {

	/**
	 * @see java.io.InputStream#read()
	 */
	@Override
	public int read() throws IOException {
		throw new IOException("IO is always exceptional");
	}

}
