package gov.fnal.eag.util.misc;
import java.io.IOException;

import uk.ac.starlink.table.RowSequence;

/**
 * throws IOException no matter what, for testing
 * @author stoughto
 *
 */
public class RowSequenceIOException implements RowSequence {

	/**
	 * @see uk.ac.starlink.table.RowSequence#close()
	 * @throws IOException every call
	 */
	public void close() throws IOException {
		throw new IOException();
	}

	/**
	 * @see uk.ac.starlink.table.RowSequence#getCell(int)
	 * @throws IOException every call
	 */
	public Object getCell(int arg0) throws IOException {
		throw new IOException();
	}

	/**
	 * @see uk.ac.starlink.table.RowSequence#getRow()
	 * @throws IOException every call
	 */
	public Object[] getRow() throws IOException {
		throw new IOException();
	}

	/**
	 * @see uk.ac.starlink.table.RowSequence#next()
	 * @throws IOException every call
	 */
	public boolean next() throws IOException {
		throw new IOException();
	}

}
