package gov.fnal.eag.util.misc;

/**
 * convenience methods for SDSS data access
 * @author stoughto
 *
 */
public class SDSSUtil {
	/**
	 * @param sdssDasRoot
	 * @param run
	 * @param rerun
	 * @param camcol
	 * @param field
	 * @param filter
	 * @return the full name of an fpC file
	 */
	public static String fpCFullFileName(String sdssDasRoot, int run, int rerun, int camcol, int field, String filter) {
		String retval = String.format("%s/%d/%d/corr/%d/fpC-%06d-%s%d-%04d.fit.gz", 
				sdssDasRoot, run, rerun, camcol, run, filter, camcol, field);
		return retval;
	}
}
