package gov.fnal.eag.util.misc;

import java.io.InputStreamReader;

import java.io.InputStream;
/**
 * deal with stderr and stdout reading in CommandLineStderrStdout
 * @author stoughto
 * shamelessly copied from http://www.programmebase.com/21/blocking-with-runtime.exec-214646.shtm
 * post by yury.shatz
 *
 */

public class StreamReaderThread extends Thread {
	StringBuffer mOut;
	InputStreamReader mIn;
	/**
	 * @param in
	 * @param out
	 */
	public StreamReaderThread(InputStream in, StringBuffer out)	{
		mOut = out;
		mIn = new InputStreamReader(in);
	}
	
	/**
	 * @see java.lang.Thread#run()
	 */
	@Override
	public void run()	{
		int ch;
		try {
			while (-1 != (ch = mIn.read())) {
				mOut.append((char) ch);
			}
		} catch (Exception e) {
			mOut.append("\nRead error:" + e.getMessage());
		}
	}
}
