package gov.fnal.eag.wcs;

/**
 * interface to transforms that work in a plane
 * @author stoughto
 *
 */
public interface TransformPlanar {
	/**
	 * applies the forward transform to the coordinate
	 * @param coordinate
	 */
	public void forwardInPlace(Coordinate coordinate);

	/**
	 * @return a brief description suitable for legends
	 */
	public String getDescription();
}
