<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

<xsl:import href="/usr/share/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl"/>

<xsl:param name="html.stylesheet" select="'chunk.css'"/>
<xsl:param name="css.decoration" select="'0'"/>
<xsl:param name="suppress.navigation" select="'1'"/>
<xsl:param name="toc.max.depth">2</xsl:param>

<xsl:param name="target.window" select="'content'"/>
<xsl:template name="user.head.content">
  <base target="{$target.window}"/>
</xsl:template>

<xsl:template match="author" mode="titlepage.mode"/>
<xsl:template match="releaseinfo" mode="titlepage.mode"/>

<xsl:template name="user.footer.content">
  <p class="CVSinfo">
    <hr/>
    <xsl:value-of select="//releaseinfo[1]"/>
  </p>
</xsl:template>

</xsl:stylesheet>

