package gov.fnal.eag.sim.crt;

import flanagan.complex.Complex;


/**
 * always returns a gain of (1,0)
 * @author stoughto
 *
 */
public class GainDefault implements Gain {

	/**
	 * @see gov.fnal.eag.sim.crt.Gain#gain(double)
	 */
	public Complex gain(double nu) {
		Complex retval = new Complex(1.0, 0.0);
		return retval;
	}

}
