package gov.fnal.eag.sim.crt;

/**
 * describes a noise temperature that is constant
 * @author stoughto
 *
 */
public class NoiseTemperatureConstant implements NoiseTemperature {

	/**
	 * @param constant the constant temperature in degrees Kelvin
	 */
	public NoiseTemperatureConstant(double constant) {
		this.constant = constant;
	}
	
	private double constant;
	/**
	 * @see gov.fnal.eag.sim.crt.NoiseTemperature#getT(double)
	 */
	public double getT(double omega) {
		return constant;
	}

}
