package gov.fnal.eag.sim.utils;
import java.net.URL;

/**
 *
 *
 * Class to check if we run from jar or eclipse
 * @author kuropat
 * 
 */
public class JarName {
	//private boolean isEclipse = false;
	private boolean isJar = false;
	private String urlString = null;
	/**
	 * constructor
	 */
	public JarName() {
		super();
		//String line;
		//String currentDir = "";
		String refClass = this.getClass().getName();
		refClass = refClass.substring(refClass.lastIndexOf(".")+1) + ".class";
//		System.out.println(" in JarName(): refClass="+refClass);
		URL thisURL = JarName.class.getResource(refClass);
//		System.out.println(" in JarName():  thisURL="+thisURL);
		if (thisURL != null) {
			urlString = thisURL.toExternalForm();
//			System.out.println(" in JarName():  urlString="+urlString);
			if (urlString != null) {
				String ft = urlString.substring(0,urlString.indexOf(":"));
				if (ft.equalsIgnoreCase("file")) {
				   //isEclipse = true;
				} else { 
					isJar = true;
				}
			}
		}
//		System.out.println(" in JarName():  isEclipse="+isEclipse+" isJar="+isJar);
/*		
		Package[] packages = Package.getPackages();
		System.out.println(" number of packages="+packages.length);
		for (Package p : packages) {
			System.out.println(" p="+p);
		}
*/
	}
/**
 * 
 * @return null ore jar file name
 */
	public String getJarFile() {
		String res = null;
		if (isJar) {
			res = urlString.substring(urlString.lastIndexOf(":")+1,urlString.lastIndexOf("!"));
			System.out.println(res);
		}
		return res;
	}

	/**
	 * 
	 * @param args ignored
	 */
	public static void main(String[] args) {
		JarName ioc = new JarName();
		String jf = ioc.getJarFile();
		if (jf !=null) {
			System.out.println(jf);
		} else {
			System.out.println("Working from Eclipse");
		}
	}
}


