package gov.fnal.eag.util.htm;

import java.util.ArrayList;
import java.util.Iterator;


/**
 * @author stoughto
 *
 */
/**
 * @author stoughto
 *
 */
/**
 * iterate over an HTMrange
 * @author stoughto
 *
 */
public class HTMrangeIterator implements Iterator<Long> {
	ArrayList<long[]> ranges;
	Long next = null;
	Iterator<long[]> rangesIterator;
	boolean endOfRange;
	long[] range;
	/**
	 * public constructor
	 * @param htmRange
	 */
	public HTMrangeIterator(HTMrange htmRange) {
		this(htmRange.ranges);
	}
	HTMrangeIterator(ArrayList<long[]> ranges) {
		this.ranges = ranges;
		rangesIterator = ranges.iterator();
		endOfRange = true;
		getNext();
	}
	private void getNext() {
		if (endOfRange) {
			if (rangesIterator.hasNext()) {
				range = rangesIterator.next();
				next = range[0];
			} else {
				next = null;
			}
			endOfRange = false;
		} else {
			if (next != null) {
				next++;
				if (next > range[1]) {
					endOfRange =  true;
					getNext();
				}
			}
		}
	}
	/**
	 * @see java.util.Iterator#hasNext()
	 */
	public boolean hasNext() {
		if (next != null) {
			return true;
		}
		return false;
	}

	/**
	 * @see java.util.Iterator#next()
	 */
	public Long next() {
		Long retval = null;
		if (next != null) {
			retval = next;
		}
		getNext();
		return retval;
	}

	/**
	 * @see java.util.Iterator#remove()
	 */
	public void remove() {
		throw new UnsupportedOperationException("remove not implemented");
	}
}
