package gov.fnal.eag.util.jdbc;

import java.sql.Connection;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * demonstrates how to use PostgresConnection
 * @author stoughto
 *
 */
public class PostgresDemo {
	  int run;

	  /**
	   * runs the sql command "select * from idproc limit 10"
	 * @throws SQLException
	 */
	public PostgresDemo() throws SQLException {
		  System.out.println("PostgresDemo: before getConnection");
	      Connection conn = PostgresConnection.getConnection();
		  System.out.println("PostgresDemo: after getConnection");
	      Statement stmt = conn.createStatement();
	      String qryStr = "select * from idproc limit 10";
	      System.out.println(" now run qryStr="+qryStr);
	      ResultSet rs = stmt.executeQuery(qryStr);
	      int i=1;
	      while (rs.next()) {
	    	  run = rs.getInt(1);
	    	  System.out.println(" i="+i+" run="+run);
	      }
	    }
	  /**
	   * runs the demonstration
	 * @param args ignored
	 * @throws SQLException
	 */
	public static void main(String[] args) throws SQLException {
	      new PostgresDemo();
	  }


}
