package gov.fnal.eag.util.misc;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

/**
 * the class to provide build version as defined by the cruisecontrol
 * 
 * @author kuropat
 *
 */
public class GetBuildVersion {
	
	private static String filename = "nextBuild.txt";
/**
 * 
 */


	
	public GetBuildVersion() {
		super();
		
	}
	/**
	 * @return build version
	 */
	public   String getVersion() {
		String version = "unknown";
		InputStream is;
		try {
			is = this.getClass().getClassLoader().getResourceAsStream(filename);
			if (is != null) {
		
				BufferedReader br = new BufferedReader(new InputStreamReader(is));
				try {
					String line = br.readLine();
					StringTokenizer st = new StringTokenizer(line);
					st.nextToken();
					st.nextToken();
					version = st.nextToken();
				} catch (IOException e) {
			
					e.printStackTrace();
				}
			}
			} catch (Exception e) {
				e.printStackTrace();
			}
		
		return version;
	}

	/**
	 * search somwhere in the classpath or jar the file nextBuild.txt and
	 * extract the build number as a software version
	 * @param args
	 */
	public static void main(String[] args) {
		GetBuildVersion bv = new GetBuildVersion();		
		System.out.println("Build version is "+bv.getVersion());
		

	}

}
